std::ranges::chunk_by_view::iterator(3)

NAME
std::ranges::chunk_by_view::iterator - std::ranges::chunk_by_view::iterator

Synopsis
   class /*iterator*/ (since C++23)
                       (exposition only*)
   The return type of chunk_by_view::begin, and of chunk_by_view::end when the
   underlying view V is a common_range.

Member types
   Member type Definition
   value_type ranges::subrange<ranges::iterator_t<V>>
   difference_type ranges::range_difference_t<V>
   iterator_category std::input_iterator_tag
                       * std::bidirectional_iterator_tag, if V models
   iterator_concept bidirectional_range, otherwise
                       * std::forward_iterator_tag.
   Data members
   Member object Definition
   parent_ (private) A pointer to the parent chunk_by_view.
                      (exposition-only member object*)
   current_ (private) ranges::iterator_t<V>, an iterator to the begin of current chunk.
                      (exposition-only member object*)
                      ranges::iterator_t<V>, an iterator to the begin of next chunk, if
   next_ (private) present.
                      (exposition-only member object*)

Member functions
   constructor constructs an iterator
   (C++23) (public member function)
   operator* accesses the element
   (C++23) (public member function)
   operator++
   operator++(int) advances or decrements the underlying iterators
   operator-- (public member function)
   operator--(int)
   (C++23)

Non-member functions
   operator== compares the underlying iterators
   (C++23) (function)

Example
    This section is incomplete
    Reason: no example

References
     * C++23 standard (ISO/IEC 14882:2023):
     * 26.7.30.3 Class chunk_by_view::iterator [range.chunk.by.iter]

See also

Category:
     * Todo no example